<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8" />
	<title>ITEA JS Advanced. Lesson 3: Task 3</title>
	<link rel="stylesheet" href="css/normalize.css" />
	<link rel="stylesheet" href="css/style.css" />
</head>
<body>
	<div class="wrap" id="wrap">
		<h1>Переключение слайдера</h1>
		<div class="roadMap__container yellow">
			<button class="navButton" data-direction="<"> Prev </button>
			<div class="roadMap">
				<div class="roadMapPoint" data-id="1"></div>
				<div class="roadMapPoint" data-id="2"></div>
				<div class="roadMapPoint ball" data-id="3"></div>
				<div class="roadMapPoint" data-id="4"></div>
				<div class="roadMapPoint" data-id="5"></div>
				<div class="roadMapPoint" data-id="6"></div>
				<div class="roadMapPoint" data-id="7"></div>
				<div class="roadMapPoint" data-id="8"></div>
			</div>
			<button class="navButton" data-direction=">"> Next </button>
		</div>

		<div class="roadMap__container red">
			<button class="navButton" data-direction="<"> Prev </button>
			<div class="roadMap">
				<div class="roadMapPoint" data-id="1"></div>
				<div class="roadMapPoint" data-id="2"></div>
				<div class="roadMapPoint ball" data-id="3"></div>
				<div class="roadMapPoint" data-id="4"></div>
				<div class="roadMapPoint" data-id="5"></div>
				<div class="roadMapPoint" data-id="6"></div>
				<div class="roadMapPoint" data-id="7"></div>
			</div>
			<button class="navButton" data-direction=">"> Next </button>
		</div>

		<div class="roadMap__container blue">
			<button class="navButton" data-direction="<"> Prev </button>
			<div class="roadMap">
				<div class="roadMapPoint" data-id="1"></div>
				<div class="roadMapPoint ball" data-id="2"></div>
				<div class="roadMapPoint" data-id="3"></div>
				<div class="roadMapPoint" data-id="4"></div>
			</div>
			<button class="navButton" data-direction=">"> Next </button>
		</div>

		<div class="roadMap__container red">
				<button class="navButton" data-direction="<"> Prev </button>
				<div class="roadMap">
					<div class="roadMapPoint" data-id="1"></div>
					<div class="roadMapPoint ball" data-id="2"></div>
				</div>
				<button class="navButton" data-direction=">"> Next </button>
			</div>

			<div class="roadMap__container blue">
				<button class="navButton" data-direction="<"> Prev </button>
				<div class="roadMap">
					<div class="roadMapPoint" data-id="1"></div>
					<div class="roadMapPoint ball" data-id="2"></div>
					<div class="roadMapPoint" data-id="3"></div>
					<div class="roadMapPoint" data-id="4"></div>
				</div>
				<button class="navButton" data-direction=">"> Next </button>
			</div>

			<div class="roadMap__container red">
				<button class="navButton" data-direction="<"> Prev </button>
				<div class="roadMap">
					<div class="roadMapPoint" data-id="1"></div>
					<div class="roadMapPoint ball" data-id="2"></div>
					<div class="roadMapPoint" data-id="3"></div>
					<div class="roadMapPoint" data-id="4"></div>
					<div class="roadMapPoint" data-id="5"></div>
					<div class="roadMapPoint" data-id="6"></div>
					<div class="roadMapPoint" data-id="7"></div>
				</div>
				<button class="navButton" data-direction=">"> Next </button>
			</div>

			<div class="roadMap__container blue">
				<button class="navButton" data-direction="<"> Prev </button>
				<div class="roadMap">
					<div class="roadMapPoint" data-id="1"></div>
					<div class="roadMapPoint ball" data-id="2"></div>
					<div class="roadMapPoint" data-id="3"></div>
				</div>
				<button class="navButton" data-direction=">"> Next </button>
			</div>
	</div>
	<script>

		/*
		
			Задание:

			Написать скрипт, который будет приводить в действие переключалки из разметки.
			И будет перемещать класс ball по точкам в зависимости от нажатой кнопки

		*/

		let containers = document.querySelectorAll('.roadMap__container');
			containers.forEach( function( container ){
				console.log( container );

				let ball = container.querySelector('.ball');
				//...
				let nextButton = container.querySelector('.navButton[data-direction=">"]')
				nextButton.addEventListener("click", moveNext);
				let prevButton = container.querySelector('.navButton[data-direction="<"]')
				prevButton.addEventListener("click", movePrev)
				let points = container.querySelectorAll("roadMapPoint");
				points.length
				points.forEach(function (point ){

				})
		});

		function moveNext(e){
			const container = e.target.closest(".roadMap__container");
			const points = container.querySelectorAll(".roadMapPoint");
			const ball = container.querySelector(".ball");
			if (points.length > 1) {
				nextId = parseInt(ball.dataset.id) + 1
				const selector = '.roadMapPoint[data-id="' + nextId + '"]';
				let nextElement = container.querySelector(selector)
				if (!nextElement) {
					nextElement = container.querySelector('.roadMapPoint[data-id="1"]');
				}
				ball.classList.remove("ball");
				nextElement.classList.add("ball");
			}
		}

		function movePrev(e){
			const container = e.target.closest(".roadMap__container");
			const points = container.querySelectorAll(".roadMapPoint");
			const ball = container.querySelector(".ball");
			if (points.length > 1) {
				const prevId = parseInt(ball.dataset.id) - 1
				let selector = '.roadMapPoint[data-id="' + prevId + '"]';
				let prevElement = container.querySelector(selector)
				if (!prevElement) {
					selector = '.roadMapPoint[data-id="' + points.length + '"]';
					prevElement = container.querySelector(selector);
				}
				ball.classList.remove("ball");
				prevElement.classList.add("ball");
			}
		}

	</script>
</body>

</html>
